package com.muyu.rule.common.engine;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.muyu.etl.domain.DataValue;
import com.muyu.rule.common.basic.abstracts.DataEngineDataSetActuator;
import com.muyu.rule.common.domain.DataValueRows;
import com.muyu.rule.common.exception.DeliteException;


/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.engine.row
 * @Project：cloud-etl-rule
 * @name：ENGINE_ROW_HANG_R1
 * @Date：2024/8/30 11:13
 */

public class ENGINE_DataSet_asdf_S1 extends DataEngineDataSetActuator {

    @Override
    public void run() {
        DataValueRows dataValueRows = get();
        DataValue[][] dataValues = dataValueRows.getDataValue();
        String key = dataValueRows.getKey();
        JSONObject jsonObject = JSON.parseObject(key);
        String o = (String) jsonObject.get(key);
        if (dataValues == null || "".equals(dataValues) || "null".equals(dataValues)) {
            throw new DeliteException();
        }else {
            System.out.println("数据检测无异常");
        }
    }
}
